com.mapinfo.midev.language.aggregation

## Class AggregationCapabilitiesBuilder

- java.lang.Object
- - com.mapinfo.midev.language.aggregation.AggregationCapabilitiesBuilder

    public final class AggregationCapabilitiesBuilder
    extends Object

A builder for aggregation capabilities.

### Constructor Summary

Constructors
Constructor and Description
`AggregationCapabilitiesBuilder()` Create a new empty builder.
`AggregationCapabilitiesBuilder(AggregationCapabilities capabilities)` Create a builder from existing capabilities.

### Method Summary

All Methods Instance Methods Concrete Methods
`AggregationCapabilities` `build()` Build the capabilities.
`AggregationCapabilitiesBuilder` `setAvgAggregationCapability(AvgAggregationCapability avgAggregationCapability)` Set the capabilities for the `AVG(attributeName)` aggregation function.
`AggregationCapabilitiesBuilder` `setCentroidAggregationCapability(CentroidAggregationCapability centroidAggregationCapability)` Set the capabilities for the `CENTROID(attributeName)` in aggregations.
`AggregationCapabilitiesBuilder` `setCountAllAggregationCapability(CountAllAggregationCapability countAllAggregationCapability)` Set the capabilities for the `COUNT(*)` aggregation function.
`AggregationCapabilitiesBuilder` `setCountDistinctAggregationCapability(CountDistinctAggregationCapability countDistinctAggregationCapability)` Set the capabilities for the `COUNT(attributeName)` aggregation function.
`AggregationCapabilitiesBuilder` `setGroupByAggregationCapability(GroupByAggregationCapability groupByAggregationCapability)` Set the capabilities for the `GROUP BY attributeName` aggregation function.
`AggregationCapabilitiesBuilder` `setMajorityAggregationCapability(MajorityAggregationCapability majorityAggregationCapability)` Set the capabilities for the `MAJORITY(attributeName)` aggregation function.
`AggregationCapabilitiesBuilder` `setMaxAggregationCapability(MaxAggregationCapability maxAggregationCapability)` Set the capabilities for the `MAX(attributeName)` aggregation function.
`AggregationCapabilitiesBuilder` `setMbrAggregationCapability(MbrAggregationCapability mbrAggregationCapability)` Set the capabilities for the `MBR` aggregation function.
`AggregationCapabilitiesBuilder` `setMedianAggregationCapability(MedianAggregationCapability medianAggregationCapability)` Set the capabilities for the `MEDIAN(attributeName)` aggregation function.
`AggregationCapabilitiesBuilder` `setMinAggregationCapability(MinAggregationCapability minAggregationCapability)` Set the capabilities for the `MIN(attributeName)` aggregation function.
`AggregationCapabilitiesBuilder` `setModeAggregationCapability(ModeAggregationCapability modeAggregationCapability)` Set the capabilities for the `MODE(attributeName)` aggregation function.
`AggregationCapabilitiesBuilder` `setOrderByAggregationCapability(OrderByAggregationCapability orderByAggregationCapability)` Set the capabilities for the `ORDER BY attributeName` in aggregations.
`AggregationCapabilitiesBuilder` `setSameAggregationCapability(SameAggregationCapability sameAggregationCapability)` Set the capabilities for the `SAME(attributeName)` aggregation function.
`AggregationCapabilitiesBuilder` `setScaleAggregationCapability(ScaleAggregationCapability scaleAggregationCapability)` Set the capabilities for the `SCALE(attributeName)` in aggregations.
`AggregationCapabilitiesBuilder` `setStdDevAggregationCapability(StdDevAggregationCapability stdDevAggregationCapability)` Set the capabilities for the `STDDEV(attributeName)` aggregation function.
`AggregationCapabilitiesBuilder` `setSumAggregationCapability(SumAggregationCapability sumAggregationCapability)` Set the capabilities for the `SUM(attributeName)` aggregation function.
`AggregationCapabilitiesBuilder` `setUnionAggregationCapability(UnionAggregationCapability unionAggregationCapability)` Set the capabilities for the `UNION(attributeName)` aggregation function.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AggregationCapabilitiesBuilder

    public AggregationCapabilitiesBuilder()

Create a new empty builder.

#### AggregationCapabilitiesBuilder

    public AggregationCapabilitiesBuilder(AggregationCapabilities capabilities)

Create a builder from existing capabilities.

### Method Detail

#### setAvgAggregationCapability

    public AggregationCapabilitiesBuilder setAvgAggregationCapability(AvgAggregationCapability avgAggregationCapability)

Set the capabilities for the `AVG(attributeName)` aggregation function.

#### setCountAllAggregationCapability

    public AggregationCapabilitiesBuilder setCountAllAggregationCapability(CountAllAggregationCapability countAllAggregationCapability)

Set the capabilities for the `COUNT(*)` aggregation function.

#### setCountDistinctAggregationCapability

    public AggregationCapabilitiesBuilder setCountDistinctAggregationCapability(CountDistinctAggregationCapability countDistinctAggregationCapability)

Set the capabilities for the `COUNT(attributeName)` aggregation function.

#### setGroupByAggregationCapability

    public AggregationCapabilitiesBuilder setGroupByAggregationCapability(GroupByAggregationCapability groupByAggregationCapability)

Set the capabilities for the `GROUP BY attributeName` aggregation function.

#### setMaxAggregationCapability

    public AggregationCapabilitiesBuilder setMaxAggregationCapability(MaxAggregationCapability maxAggregationCapability)

Set the capabilities for the `MAX(attributeName)` aggregation function.

#### setMbrAggregationCapability

    public AggregationCapabilitiesBuilder setMbrAggregationCapability(MbrAggregationCapability mbrAggregationCapability)

Set the capabilities for the `MBR` aggregation function.

#### setMinAggregationCapability

    public AggregationCapabilitiesBuilder setMinAggregationCapability(MinAggregationCapability minAggregationCapability)

Set the capabilities for the `MIN(attributeName)` aggregation function.

#### setStdDevAggregationCapability

    public AggregationCapabilitiesBuilder setStdDevAggregationCapability(StdDevAggregationCapability stdDevAggregationCapability)

Set the capabilities for the `STDDEV(attributeName)` aggregation function.

#### setSumAggregationCapability

    public AggregationCapabilitiesBuilder setSumAggregationCapability(SumAggregationCapability sumAggregationCapability)

Set the capabilities for the `SUM(attributeName)` aggregation function.

#### setUnionAggregationCapability

    public AggregationCapabilitiesBuilder setUnionAggregationCapability(UnionAggregationCapability unionAggregationCapability)

Set the capabilities for the `UNION(attributeName)` aggregation function.

#### setOrderByAggregationCapability

    public AggregationCapabilitiesBuilder setOrderByAggregationCapability(OrderByAggregationCapability orderByAggregationCapability)

Set the capabilities for the `ORDER BY attributeName` in aggregations.

#### setMedianAggregationCapability

    public AggregationCapabilitiesBuilder setMedianAggregationCapability(MedianAggregationCapability medianAggregationCapability)

Set the capabilities for the `MEDIAN(attributeName)` aggregation function.

#### setModeAggregationCapability

    public AggregationCapabilitiesBuilder setModeAggregationCapability(ModeAggregationCapability modeAggregationCapability)

Set the capabilities for the `MODE(attributeName)` aggregation function.

#### setMajorityAggregationCapability

    public AggregationCapabilitiesBuilder setMajorityAggregationCapability(MajorityAggregationCapability majorityAggregationCapability)

Set the capabilities for the `MAJORITY(attributeName)` aggregation function.

#### setSameAggregationCapability

    public AggregationCapabilitiesBuilder setSameAggregationCapability(SameAggregationCapability sameAggregationCapability)

Set the capabilities for the `SAME(attributeName)` aggregation function.

#### setScaleAggregationCapability

    public AggregationCapabilitiesBuilder setScaleAggregationCapability(ScaleAggregationCapability scaleAggregationCapability)

Set the capabilities for the `SCALE(attributeName)` in aggregations.

#### setCentroidAggregationCapability

    public AggregationCapabilitiesBuilder setCentroidAggregationCapability(CentroidAggregationCapability centroidAggregationCapability)

Set the capabilities for the `CENTROID(attributeName)` in aggregations.

#### build

    public AggregationCapabilities build()

Build the capabilities.